Bug 1415658 - [Docs][RFE][Admin] QCOW2 v3 Image Format
Summary: [Docs][RFE][Admin] QCOW2 v3 Image Format
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ovirt-4.1.1-1
: ---
Assignee: Julie
QA Contact: Emma Heftman
URL:
Whiteboard:
Depends On: RHEV_qcow2_v3 1143872
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 11:33 UTC by Emma Heftman
Modified: 2019-05-07 13:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-13 00:00:16 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Emma Heftman 2017-01-23 11:33:19 UTC
According to Maor Lipchuk, and based on https://bugzilla.redhat.com/show_bug.cgi?id=827529

There is a need to updated the documentation as follows:

It should be stated that 4.1 Data Centers will create QCOW volumes with 1.1 compatibility
> level instead of 0.10 which was until now.
We should stress that this means that once you upgrade a DC to 4.1 (or above,
in newer versions) you cannot downgrade it again to 4.0 or below.
This also means you cannot detach a storage domain from a 4.1 DC and attach it
to an older DC.

You COULD, however, export a VM/template from a newer DC to an EXPORT DOMAIN,
and then import it to an older setup.


This change is based on the new QCOW2 version 3 image format:
QCOW3 includes a version number increase in order to introduce some incompatible features, however it's strictly an extension of QCOW2 and keeps the fundamental structure unchanged, so that a single codebase will be enough for working with both QCOW2 and QCOW3 images. Newer QEMU versions (1.7 and above) support a new format of QCOW2 version 3, which is not backwards compatible and introduce many improvements like zero clusters, and performance improvement.

Comment 3 Lucy Bopf 2017-03-15 06:26:05 UTC
Assigning to Julie for review.


Note You need to log in before you can comment on or make changes to this bug.